Subject: [bug#66359] [PATCH] gnu: curl: Update to 8.3.0.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 06 Oct 2023 11:55:14 +0200

Am Freitag, dem 06.10.2023 um 11:09 +0200 schrieb Simon Tournier:
> Hi Liliana,
> 
> On Fri, 6 Oct 2023 at 10:54, Liliana Marie Prikler
> <[email-masked]> wrote:
> 
> > > Naive question, why %version and not version?
> > 
> > Because version gets shadowed by (package …).  I could reorder the
> > fields in a non-standard way, but that'd be even less readable,
> > therefore the extra variable.
> 
> Ah, I see.  Thanks for explaining.
> 
> Well, %something is usually for "global" parameters.  At least, that
> the convention with Guix.  Therefore, I would suggest to not use it
> in order to avoid confusion.
As far as I understand %something means "implementation detail" and
*something* means global, important something, but I might be mistaken
about that.

> Why not "this-version"?
Ain't nobody got time to type that.